Subject: Re: [TR] Lucas bulbs

From: [email-masked]
Date: Fri, 18 Jul 2014 00:32:49 -0400

You didnt state the lamp part number, but you might find them here.
http://jollyrogersmotors.com/catalog/99

Greg G.
Osseo, MN

> Anyone know where to get replacement bulbs for my Lucas 545 driving
> lights?
>
> Moss says they don't have them and don't know when they will
>
> Can't find them anywhere else.
>
> Wouldn't mind getting some higher quality ones ...
>
> Thanks
>
> Alex
>
> 1958 TR3 TS33884LO
> 1968 GT6 KC10303

** [email-masked] **

Archive: http://www.team.net/archive

---

From: Don Hiscock <[email-masked]>
Date: Fri, 18 Jul 2014 10:28:57 -0500

A typical vintage Lucas "driving light" -- say a SLR576, the kind with a
long pencil beam and a plain glass front lens-- will take a 48W BPF
(British Pre Focus) bulb with an axial filament.  The filament is in the
line of travel of the beam.  Lucas bulb number 185 (12V).

A Lucas fog light of the period  -- say a SFT576, the kind with a flat wide
beam and a fluted glass front lens -- will take a bulb with the same
wattage and base, but the filament will be transverse -- crosswise the the
direction of travel of the beam.  Lucas bulb number 323 (12V).

Here's an image to make that clearer (it is kind of confusing).
 Driving/pencil beam on the left, fog on the right.
http://4xdog.smugmug.com/photos/i-B4jpFST/0/L/i-B4jpFST-L.jpg

People will sometims mix up the bulbs for the lamp style.  They'll still
put out light, of course, but it won't be as well-controlled.

Don
1962 TR3B TSF202L

On Thu, Jul 17, 2014 at 3:58 PM, Alexander Delis <[email-masked]> wrote:

> Anyone know where to get replacement bulbs for my Lucas 545 driving lights?
>
> Donate: http://www.team.net/donate.html
> Forums: http://www.team.net/forums
> Unsubscribe/Manage:
> http://autox.team.net/mailman/options/triumphs/[email-masked]